---
title: "Change an existing member auto-assignment preference"
description: "Verified member for self, current manager or owner/admin for the workspace, or verified platform administrator. Never creates a membership."
---

> Documentation Index
> Fetch the complete documentation index at: https://developer.channelautomations.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Channel Automation API › Workspaces

`PUT /api/agent-tags/workspace/{workspaceId}/agent/{userId}/auto-assign-enabled`

Verified member for self, current manager or owner/admin for the workspace, or verified platform administrator. Never creates a membership.

## Authentication

- `BearerAuth`, http, header `Authorization`, format `JWT`

## Path parameters

- `workspaceId` (`put/api/agent-tags/workspace/workspaceId/agent/userId/auto-assign-enabled.path.workspaceId`; string, required)
- `userId` (`put/api/agent-tags/workspace/workspaceId/agent/userId/auto-assign-enabled.path.userId`; string, required)

## Request body

_Required._

## Example request

```json
{}
```

## Code samples

### cURL

```bash
curl --request PUT \
  --url 'https://api.channelautomation.com/api/agent-tags/workspace/<workspaceId>/agent/<userId>/auto-assign-enabled' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{}'
```

### TypeScript

```typescript
const url = 'https://api.channelautomation.com/api/agent-tags/workspace/<workspaceId>/agent/<userId>/auto-assign-enabled';
const options = {
  method: 'PUT',
  headers: {'Content-Type': 'application/json', Authorization: 'Bearer <token>'},
  body: JSON.stringify({})
};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.channelautomation.com/api/agent-tags/workspace/<workspaceId>/agent/<userId>/auto-assign-enabled"

payload = {}
headers = {
    "Content-Type": "application/json",
    "Authorization": "Bearer <token>"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
```

## Responses

### 200

Operation completed

### 201

Workspace provisioned

### 400

Invalid input

### 401

Verified session required

### 403

Current authority denied

### 404

Existing membership required

### 503

Authority verification unavailable


Source: https://developer.channelautomations.com/api/put-api-agent-tags-workspace-workspace-id-agent-user-id-auto-assign-enabled/index.md
